Ecosystem

Ecosystem endpoints for the Ecosystem API Unified API

0.0.6
|Full reference

Get ecosystem

get
https://api.apideck.com/ecosystems/{ecosystem_id}

Get ecosystem

Path parameters

ecosystem_idstring
required

Responses

200Ecosystems

Response example

{
  "status_code": 200,
  "status": "OK",
  "data": {
    "id": "12345",
    "about": "string",
    "alternatives_background_color": "string",
    "alternatives_color": "string",
    "attribution": true,
    "body_background_color": "string",
    "body_button_background_color": "string",
    "body_button_color": "string",
    "body_color": "string",
    "body_link_color": "string",
    "card_settings": {
      "background_color": "string",
      "border_color": "string",
      "border_radius": "string",
      "border_size": "string",
      "color": "string",
      "columns": 0,
      "description_lines": 0,
      "icon_border_radius": "string",
      "icon_shadow_enabled": true,
      "icon_size": 0,
      "shadow_enabled": true,
      "show_action": true,
      "show_badges": true,
      "show_category": true,
      "show_description": true,
      "style": "string"
    },
    "categories_count_badge": true,
    "categories_show_max_items": 0,
    "collections_count_badge": true,
    "collections_title": "string",
    "create_link": "string",
    "cta_settings": {
      "background_color": "string",
      "button_background_color": "string",
      "button_color": "string",
      "button_label": "string",
      "button_link": "string",
      "color": "string",
      "description": "string",
      "enabled": true,
      "title": "string"
    },
    "custom_domain": "string",
    "custom_settings": {
      "css": "string",
      "css_link": "string",
      "domain": "string",
      "html_footer": "string",
      "html_nav": "string",
      "java_script_link": "string"
    },
    "detail_pages_enabled": true,
    "footer_background_color": "string",
    "footer_color": "string",
    "google_site_verification_id": "string",
    "hide_install_buttons": true,
    "home_page_collection_category_cards": true,
    "home_page_show_all_listings": true,
    "installation_request_flow_enabled": true,
    "integration_settings": {
      "albacross_id": "string",
      "automate_enabled": true,
      "blendr_enabled": true,
      "combidesk_enabled": true,
      "crisp_id": "string",
      "drift_id": "string",
      "google_analytics_id": "string",
      "google_tag_manager_id": "string",
      "heap_id": "string",
      "hubspot_portal_id": "string",
      "integromat_enabled": true,
      "intercom_app_id": "string",
      "iubenda_cookie_policy_id": "string",
      "iubenda_site_id": "string",
      "journy_io_domain": "string",
      "journy_io_id": "string",
      "livechat_id": "string",
      "metomic_id": "string",
      "microsoft_flow_id": "string",
      "microsoft_flow_enabled": true,
      "onetrust_id": "string",
      "piesync_enabled": true,
      "segment_id": "string",
      "segment_enabled": true,
      "tray_io_enabled": true,
      "zapier_beta_link": "string",
      "zapier_enabled": true,
      "zapier_id": "string"
    },
    "is_published": true,
    "lead_form_settings": {
      "capture_form_enabled": true,
      "first_name_field_enabled": true,
      "first_name_field_required": true,
      "integration_enabled": true,
      "last_name_field_enabled": true,
      "last_name_field_required": true,
      "telephone_field_enabled": true,
      "telephone_field_required": true,
      "work_email_validation": true
    },
    "listing_settings": {
      "description_text_template": "string",
      "description_title": "string",
      "features_text_template": "string",
      "features_title": "string",
      "install_button_label": "string",
      "name_postfix": "string",
      "naming": "LISTING",
      "native_integration_link": "string",
      "pricing_disabled": true,
      "pricing_text_template": "string",
      "pricing_title": "string",
      "sidebar_position": "TOP"
    },
    "masthead_settings": {
      "background": "string",
      "background_color": "string",
      "color": "string",
      "columns": 0,
      "description": "string",
      "title": "string"
    },
    "menu_position": "TOP",
    "menu_style": "LIST",
    "meta_tag_settings": {
      "description": "string",
      "description_category_page": "string",
      "description_collection_page": "string",
      "description_listing_page": "string",
      "keywords": "string",
      "title": "string",
      "title_postfix": "string"
    },
    "name": "string",
    "navigation_background_color": "string",
    "navigation_color": "string",
    "navigation_logo_post_fix": "string",
    "navigation_mobile_menu_type": "ICON",
    "navigation_sticky": true,
    "primary_color": "string",
    "privacy_link": "string",
    "request_link": "string",
    "shadow_page_description": "string",
    "shadow_pages_enabled": true,
    "show_attribution_badge": true,
    "show_requested_listings": true,
    "slug": "string",
    "terms_link": "string",
    "total_published_listings": 0,
    "unify_application_id": "string",
    "utm_campaign": "string",
    "website": "string",
    "zaps_menu_title": "string",
    "zaps_page_enabled": true,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}